Bug 168029 - Copy&pasto in libuser.c:pwdb_update_shell
Summary: Copy&pasto in libuser.c:pwdb_update_shell
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: passwd   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-11 02:08 UTC by Miloslav Trmač
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 08:28:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Miloslav Trmač 2005-09-11 02:08:24 UTC
libuser.c:pwdb_update_shell():
                lu_ent_clear(ent, LU_GECOS);
...
                lu_ent_add(ent, LU_LOGINSHELL, &value);

When compared to pwdb_update_gecos() above it it's clear this is a
copy & paste bug; lu_ent_clear() in pwdb_update_shell() should clear
LU_LOGINSHELL.

So chsh would clear gecos and do something not quite defined with the login
shell. Luckily this chsh isn't used - so this is purely cosmetic for FC.

Version-Release number of selected component (if applicable):
CVS as of Sun 11 2005

Comment 1 Tomas Mraz 2005-09-29 08:28:24 UTC
Applied to upstream CVS on elvis.



Note You need to log in before you can comment on or make changes to this bug.